import "./_dnt.polyfills.js";
import type { EffectCreate, EffectDelete, EffectRead, EffectUpdate } from "./gen/typegraph_core";
export declare function read(): EffectRead;
export declare function create(idempotent?: boolean): EffectCreate;
export declare function delete_(idempotent?: boolean): EffectDelete;
export declare function update(idempotent?: boolean): EffectUpdate;
export declare const UPDATE: unique symbol;
export declare const DELETE: unique symbol;
export declare const CREATE: unique symbol;
export declare const READ: unique symbol;
export type PerEffect = {
    [CREATE]?: string;
    [UPDATE]?: string;
    [DELETE]?: string;
    [READ]?: string;
};
